%def_enable utils
%def_enable liblustre
%def_disable tests
%def_enable doc
%def_disable cray_xt3
%def_disable bgl
%def_disable uoss
%def_disable posix_osd
%def_enable server
%def_enable client
%def_disable libcfs_cdebug
%def_disable libcfs_trace
%def_disable libcfs_assert
%def_enable affinity
%def_enable backoff
%def_disable panic_dumplog
%def_enable pinger
%def_enable checksum
%def_enable liblustre_recovery
%def_enable quota
%def_disable health_write
%def_enable lru_resize
%def_enable adaptive_timeouts
%def_enable liblustre_acl
%def_enable readline
%def_disable efence
%def_enable libwrap
%def_enable libpthread
%def_enable sysio_init
%def_enable urandom
%def_enable usocklnd
%def_disable mindf
%def_enable fail_alloc
%def_disable snmp
#----------------------------------------------------------------------
%define subst_enable_to() %{expand:%%{?_enable_%{1}:--enable-%{2}}} %{expand:%%{?_disable_%{1}:--disable-%{2}}}

%define Name Lustre
Name: lustre
%define lname lib%name
Version: 1.6.6
Release: alt2
Summary: %Name File System
License: %gpl2only
Group: Networking/Other
URL: http://clusterfs.com/
Source: %name-%version.tar
Patch: %name-%version-alt.patch
Packager: Led <led@altlinux.ru>
Requires: etcnet

BuildRequires(pre): rpm-build-licenses
# Automatically added by buildreq on Mon Oct 13 2008
#BuildRequires: etcnet libe2fs-devel libncurses-devel libreadline-devel perl-devel zlib-devel
BuildRequires: libe2fs-devel perl-devel zlib-devel kernel-build-tools
%{?_enable_readline:BuildRequires: libncurses-devel libreadline-devel}
%{?_enable_efence:BuildRequires: libefence-devel}

%description
Userspace tools and files for the %Name file system.


%package -n %lname-devel
Summary: Files for development with %Name libs
Group: Development/C
Provides: %lname-devel-static = %version-%release

%description -n %lname-devel
Files for development with %Name libs.


%package -n kernel-source-%name
Summary: %Name sources for kernel development
Group: Development/Kernel
BuildArch: noarch

%description -n kernel-source-%name
%Name sources for kernel development.


%if_enabled tests
%package tests
Summary: %Name testing framework
Group: Development/Kernel
Requires: %name = %version

%description tests
This package contains a set of test binaries and scripts that are
intended to be used by the %Name testing framework.
%endif


%prep
%setup
%patch -p1


%build
%configure \
    --disable-modules \
    %{subst_enable utils} \
    %{subst_enable liblustre} \
    %{subst_enable tests} \
    %{subst_enable doc} \
    %{subst_enable_to cray_xt3 cray-xt3} \
    %{subst_enable bgl} \
    %{subst_enable uoss} \
    %{subst_enable_to posix_osd posix-osd} \
    %{subst_enable server} \
    %{subst_enable client} \
    %{subst_enable libcfs_cdebug libcfs-cdebug} \
    %{subst_enable libcfs_trace libcfs-trace} \
    %{subst_enable libcfs_assert libcfs-assert} \
    %{subst_enable affinity} \
    %{subst_enable backoff} \
    %{subst_enable panic_dumplog} \
    %{subst_enable pinger} \
    %{subst_enable checksum} \
    %{subst_enable liblustre_recovery liblustre-recovery} \
    %{subst_enable quota} \
    %{subst_enable health_write health-write} \
    %{subst_enable lru_resize lru-resize} \
    %{subst_enable adaptive_timeouts adaptive-timeouts} \
    %{subst_enable_to tests liblustre-tests} \
    %{subst_enable liblustre_acl liblustre-acl} \
    %{subst_enable_to tests mpitests} \
    %{subst_enable readline} \
    %{subst_enable efence} \
    %{subst_enable libwrap} \
    %{subst_enable libpthread} \
    %{subst_enable sysio_init sysio-init} \
    %{subst_enable urandom} \
    %{subst_enable usocklnd} \
    %{subst_enable mindf} \
    %{subst_enable fail_alloc fail-alloc} \
    %{subst_enable snmp}
%make_build distdir=kernel-source-%name-%version distdir all
bzip2 --best --keep --force {lnet,%name}/ChangeLog


%install
%make_install DESTDIR=%buildroot install
rm -f %buildroot{%_datadir/%name/*.patch,%_bindir/config.sh}
mv %buildroot%_includedir/{linux,%name/}
install -d -m 0755 %buildroot%kernel_src
tar -cj kernel-source-%name-%version > %buildroot%kernel_src/kernel-source-%name-%version.tar.bz2
install -d -m 0755 %buildroot%_docdir/%name-%version/{lnet,%name}
install -m 0755 lnet/ChangeLog.* %buildroot%_docdir/%name-%version/lnet/
install -m 0755 %name/{BUGS,ChangeLog.*} %buildroot%_docdir/%name-%version/%name/
install -m 0755 README %buildroot%_docdir/%name-%version/


%files
%_docdir/%name-%version
/sbin/*
%_sbindir/*
%_bindir/*
%_datadir/%name
%_man1dir/*
%_man7dir/*
%_man8dir/*


%files -n %lname-devel
%_includedir/*
%_libdir/*.a
%_man3dir/*


%files -n kernel-source-%name
%kernel_src/*


%if_enabled tests
%files tests
%endif


%changelog
* Mon Nov 10 2008 Led <led@altlinux.ru> 1.6.6-alt2
- removed %_bindir/config.sh

* Tue Nov 04 2008 Led <led@altlinux.ru> 1.6.6-alt1
- 1.6.6

* Tue Oct 14 2008 Led <led@altlinux.ru> 1.6.5.1-alt2
- remove default '-g' compile key

* Tue Oct 14 2008 Led <led@altlinux.ru> 1.6.5.1-alt1
- initial build
